Skip to main content
POST
/
pos
/
{posSystemId}
/
coupon
/
couponCode
/
search
Search user coupons
curl --request POST \
  --url https://public-api-demo.clearline.me/pos/{posSystemId}/coupon/couponCode/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "code": "10OFFmq8kl8",
  "email": null,
  "phone": null,
  "posLocationId": "6orMqUyq2Hg3tP"
}
'
{
  "data": [
    {
      "rewardProvider": "TwoReward",
      "code": "<string>",
      "name": "<string>",
      "title": "<string>",
      "pictureUrl": "<string>",
      "availableUntil": "2023-11-07T05:31:56Z",
      "status": "Issued",
      "info": [
        {
          "title": "<string>",
          "items": {}
        }
      ]
    }
  ],
  "page": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  },
  "posStatus": "Accepted"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

posSystemId
string
required

Body

Represent coupon search dto

code
string | null

Search by code

email
string | null

Search by email

phone
string | null

Search by phone

posLocationId
string | null

Location POS identifier

Response

Success

data
object[] | null
page
object
posStatus
enum<string>
Available options:
Accepted,
Disabled,
NotAvailable